      program rtest
      implicit none
      integer,parameter         :: i4b= kind(2147483647)
      integer,parameter         :: r8b= kind(1.D200)
 
      integer(i4b),parameter    :: iseed=2, N=1E6, dis=5
      real(r8b)                 :: a(N),av,cor,rlfsr113
      integer(i4b)              :: i

      call lfsrinit(iseed)
      av=0.D0
      do i=1,N
         a(i)=rlfsr113()
         av=av+a(i)
      enddo
      av=av/N

      cor=0.D0
      do i=1, N-dis
         cor=cor+(a(i)-av)*(a(i+dis)-av)    
      enddo
         cor=cor/(N-dis)

      print *,'av= ', av,' cor= ',cor

      stop
      end
